> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/documents-requests/createdocfromuploadpdf.md).

# createDocFromUploadPdf

Create a document via Upload PDF

### Overview

Parameters:&#x20;

* [DocFromPdf](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/body/docfrompdf)

Return:

* [DocResponse](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docresponse) - in case of success
* Exception - in case of failure

To create this document we will need:

* set your apiToken;
* build your signers;
* build the document;
* call the method.

### How to use:

Save your [apiToken](/zapsign-api/english/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Build your signers with the [Signer](/zapsign-api/english/facilitators/sdks/typescript-sdk/used-classes/body/signer.md) class:&#x20;

```typescript
const signer1: Signer = new SignerBuilder()
                .withName("My First Signer")
                .build();

const signer2: Signer = new SignerBuilder()
                .withName("My Second Signer")
                .withEmail("test@test.com")
                .withLockEmail(true)
                .withLockPhone(true)
                .withPhoneCountry("55")
                .withPhoneNumber("99999999999")
                .withAuthMode("assinaturaTela") // draw on screen
                .withSendAutomaticEmail(false)
                .withSendAutomaticWhatsapp(false)
                .build();
                
let signers: Signer[] = [];
                
signers.push(signer1, signer2);
```

Now, build your document with the [DocFromPdf](/zapsign-api/english/facilitators/sdks/typescript-sdk/used-classes/body/docfrompdf.md) class:

```typescript
const docFromPdf: DocFromPdf = new DocFromPdfBuilder()
                                .withSandbox(false)
                                .withName("My Contract")
                                .withBrandLogo("#000000")
                                .withLang("en")
                                .withSigners(signers)
                                .withUrlPdf("https://zapsign.s3.amazonaws.com/2022/1/pdf/63d19807-cbfa-4b51-8571-215ad0f4eb98/ca42e7be-c932-482c-b70b-92ad7aea04be.pdf")
                                .build();
                                

```

Finally, call the createDocFromUploadPdf method to get the returned value of [DocResponse](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docresponse) class or an error message:

```typescript
async function exempleCreateDocFromUploadPdf() {
    try {
        docResponse: DocResponse = await new DocRequests(apiToken).createDocFromUploadPdf(docFromPdf);
        jsonDocResponse: string = new JsonConverter().docResponseToJson(docResponse);
        console.log(jsonDocResponse);
    } catch(Err) {
        console.log(Err);
    }
}
```

### Example:

```typescript
import { SignerBuilder } from 'sdk-node-typescript-zapsign/src/body/signer/builders/SignerBuilder';
import { Signer } from "sdk-node-typescript-zapsign/src/body/signer/Signer";
import DocRequests from "sdk-node-typescript-zapsign/src/docs/DocRequests";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
import { DocFromPdfBuilder } from "sdk-node-typescript-zapsign/src/body/doc/builders/DocFromPdfBuilder";

apiToken: string = "SEU TOKEN";

signer1: Signer = new SignerBuilder()
                .withName("My First Signer")
                .build();

signer2: Signer = new SignerBuilder()
                .withName("My Second Signer")
                .withEmail("test@test.com")
                .withLockEmail(true)
                .withLockPhone(true)
                .withPhoneCountry("55")
                .withPhoneNumber("99999999999")
                .withAuthMode("assinaturaTela")
                .withSendAutomaticEmail(false)
                .withSendAutomaticWhatsapp(false)
                .build();
                
let signers: Signer[] = [];
                
signers.push(signer1, signer2);

const docFromPdf: DocFromPdf = new DocFromPdfBuilder()
                                .withSandbox(false)
                                .withName("My Contract")
                                .withBrandLogo("#000000")
                                .withLang("en")
                                .withSigners(signers)
                                .withUrlPdf("https://zapsign.s3.amazonaws.com/2022/1/pdf/63d19807-cbfa-4b51-8571-215ad0f4eb98/ca42e7be-c932-482c-b70b-92ad7aea04be.pdf")
                                .build();
                                
async function exempleCreateDocFromUploadPdf() {
    try {
        docResponse: DocResponse = await new DocRequests(apiToken).createDocFromUploadPdf(docFromPdf);
        jsonDocResponse: string = new JsonConverter().docResponseToJson(docResponse);
        console.log(jsonDocResponse);
    } catch(Err) {
        console.log(Err);
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/documents-requests/createdocfromuploadpdf.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
